> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boundlesspay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create An Order

> Create a new order



## OpenAPI

````yaml POST /orders
openapi: 3.1.0
info:
  title: BoundlessPay API
  version: 1.0.0
servers: []
security: []
paths:
  /orders:
    post:
      description: Create a new order
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                reference:
                  type: string
                  example: 9689c0df-a313-4a5b-b71
                currency_code:
                  type: string
                  example: NGN
                amount:
                  type: number
                  example: 5000
                description:
                  type: string
                  example: food payment
                customer:
                  type: object
                  properties:
                    first_name:
                      type: string
                      example: John
                    last_name:
                      type: string
                      example: Doe
                    email:
                      type: string
                      example: johndoe@gmail.com
                    phone_number:
                      type: string
                      example: '08012345678'
      responses:
        '200':
          description: Order created successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Operation Successful
                  data:
                    type: object
                    properties:
                      recipient_name:
                        type: string
                        example: bsuitetest llc
                      reference:
                        type: string
                        example: 9689c0df-a313-4a5b-b71a-056c89b90977
                      amount:
                        type: string
                        example: '5000'
                      currencyCode:
                        type: string
                        example: NGN
                      url:
                        type: string
                        example: >-
                          https://payments.dev.boundlesspay.com?ref=9689c0df-a313-4a5b-b71a-056c89b90977
                      channels:
                        type: array
                        items:
                          type: string
                        example:
                          - card
                  meta:
                    type: object
                    properties:
                      timestamp:
                        type: string
                        format: date-time
                        example: '2026-03-20T18:36:18Z'
        '401':
          description: Unauthorized

````